Status: Closed Start date: 2017-01-30
Priority: Normal Due date:

Assignee: Marco Eichelberg % Done: 100%
Category: Library and Apps Estimated time: 0:00 hour

Target version:
Module: dcmdata, dcmimage, dcmijpeg, decmjpls | Compiler:

Operating System:

Description
Check whether the DCMTK correctly handles the YBR_FULL color model:

Rationale for Correction

Traditionally,the YBR_FULL Photometric Interpretation has been used only with the RLE Transfer Syntax and only for Ultrasound—
images.—

Further, for US images, the Planar Configuration for YBR_FULL is constrained to 1, since that is the only Planar Configuration used—
for RLE.—

The YBR_FULL Photometric Interpretation cannot be converted losslessly into RGB or YBR_RCT, so it is desirable to retain the—
YBR_FULL encoding when decompressing or recompressing with lossless/reversible JPEG family of Transfer Syntaxes.—

The JPEG family of Transfer Syntaxes use a Planar Configuration of 0, and there is no reason to constrain the Planar Configuration—
of uncompressed images.—

Accordingly, relax the constraint on US Planar Configuration in the IOD (but do not change the Media Application Profile).—

Note that there are currently no constrains on any other IODs wrt. use of YBR_FULL, only Ultrasound, and it is desirable that
archives,—

toolkits and viewers be able to handle Photometric Interpretation, Planar Configuration and Transfer Syntaxes in a generic manner—
regardless of the I0D.—

Current status of the CP: Draft "01"

Related issues:

Related to DCMTK - Conformance #717: CP-1653: Clarify Photometric Interpretat... Closed 2017-01-30
Related to DCMTK - Conformance #811: Check whether JPEG encoder is still stan... Closed 2018-02-08
History

#1 - 2018-02-08 16:36 - JOrg Riesmeier

- Related to Conformance #811: Check whether JPEG encoder is still standard conformant added

#2 - 2018-11-13 15:34 - Marco Eichelberg
- Assignee set to Marco Eichelberg

- % Done changed from 0 to 100

Closed by commit #d74db5757.

#3 - 2018-11-19 11:24 - Marco Eichelberg

- Status changed from New to Closed
